;; derived from https://github.com/McParen/croatoan/blob/master/test/dialog.lisp#L38
;; original license: https://github.com/McParen/croatoan/blob/master/LICENSE

(defpackage :test-menu
  (:use :cl :croatoan))

(in-package :test-menu)

(defparameter *dialog-message* "test menu label")

(defun main ()
  "A menu box displays a list of items as a menu and buttons to accept the selection."
  (with-screen (scr :input-echoing nil :cursor-visible t :enable-colors t :enable-function-keys t :input-blocking t)
    (let* ((dlg (make-instance 'dlg:menubox
                               :title "Menubox dialog"
                               :message *dialog-message*
                               :choices (mapcar (lambda (i) (format nil "~R" i)) '(1 2 3 4 5 6 7 8 9))
                               :buttons '(ok (cancel . nil)))))
      (setf (background scr) (make-instance 'complex-char :simple-char #x2592 :color-pair (list :white :black)))
      (refresh scr)
      (multiple-value-bind (btn frm) (edit dlg)
        (clear scr)
        (format scr "~A~%~A" btn frm))
      (refresh scr)
      (get-char scr)
      (close dlg))))
